using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a cyclopean corpse" )]
	public class CyclopsLord : BaseCreature
	{
		[Constructable]
		public CyclopsLord() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "greek" );
			Title = "the cyclops lord";
			Body = 167;
			BaseSoundID = 604;

			SetStr( 986, 1185 );
			SetDex( 96, 115 );
			SetInt( 31, 55 );

			SetHits( 592, 711 );
			SetMana( 0 );

			SetDamage( 22, 29 );

			SetSkill( SkillName.MagicResist, 70.3, 105.0 );
			SetSkill( SkillName.Tactics, 90.1, 120.0 );
			SetSkill( SkillName.HandToHand, 90.1, 100.0 );

			Fame = 18000;
			Karma = -18000;

			VirtualArmor = 80;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.Average );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override int Meat{ get{ return 4; } }

		public CyclopsLord( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}